<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xpath-default-namespace="http://www.tei-c.org/ns/1.0" version="2.0">
  <xsl:template match="TEI">
    <html>
      <head>
      <xsl:comment>
        This file has been generated from an XML master, and will be updated from that. It is not profitable to spend time editing this file.
      </xsl:comment>
      <meta charset="utf-8"/>
  <style type="text/css">
<xsl:comment>
<xsl:value-of select="document('styles-paperprint.xml')//*"/>
</xsl:comment>
</style>
  <title><xsl:value-of select="teiHeader/fileDesc/titleStmt/title"/></title>
      </head>
          <body>

<!-- Start HTML presented front matter -->
    <xsl:apply-templates select="text/front"/>

<!--end HTML presented front matter -->

        <xsl:apply-templates select="text/body"/>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="body">
       <!-- Beginning of placement for TOC -->
    
    <p style="text-align:center; font-size:14pt">Table of Contents</p>
<!-- MB 2003-03-22 Use a table so we can align the numbers and the titles correctly -->
<table border="0">
<xsl:for-each select="//div1/head">
<xsl:apply-templates  select="."  mode="showheads"/>
</xsl:for-each>
</table>
<p style="margin-bottom:1em">&#160;</p>
    <!-- Ending of placement for TOC -->

        <xsl:apply-templates select="div1"/>
    
<!-- MB 2003-03-21 
* This invokes the display of the footnote contents. The current placing
* means they appear as the very last thing, but that can be altered
* NB This is the sort of thing that <xsl:foreach> is really meant for.
* We gather as set of nodes (here the footnotes) and iterate over them
* i.e. do the same thing to each of them, one by one. The crucial thing
* is that our apply-templates sets the "shownotes" mode. This means
* that the nodes are handled not by the default note-handling template,
* but by the special "shownotes" one. See the actual note templates
* below for further explanation.

<p style="font-decoration:underline; text-align:center">Notes</p>
<xsl:for-each select="//note[@place='end']">
<xsl:apply-templates  select="."  mode="shownotes"/>
</xsl:for-each>
-->
<!-- Footnote rendering invocation ends-->

<!-- Creative Commons License -->


 <!-- /Creative Commons License -->
</xsl:template>

  <!-- Divs to TOC-->

 <!--   <xsl:include href="divhandler-phil_of_mind.xsl"/>
  -->
    <xsl:include href="divhandler-paper.xsl"/>
 
  
  <!-- Header and Front -->
<xsl:include href="TEIHeader-paper.xsl"/>

<!-- Figures (1) To take the rend attribute as the pointer for an image -->

  <xsl:template match="figure[@rend]">
    <xsl:variable name="imagelink" select="@rend"/>
<img src="{$imagelink}"/><xsl:apply-templates/>
    </xsl:template>

<!-- Beginning of modified endnote handling templates -->

  <xsl:include href="endnote-handler-paper.xsl"/>

<!-- Hyperlinks in Paper format -->
 
<!-- ref (1) To select a bracketed URL -->

  <xsl:template match="ref[@type='url']">&lt;<span style="font-style: italic"><xsl:apply-templates/></span>&gt;</xsl:template>

<!-- ref (2) To take the target attribute as the URL to be appled to bracketed text -->

  <xsl:template match="ref[@target]">&lt;<span style="font-style: italic"><xsl:apply-templates/></span>&gt;</xsl:template>

<!-- Figures (1) To take the target attribute as the pointer for an image -->

  <xsl:template match="graphic[@url]">
    <xsl:variable name="graphiclink" select="@url"/>
<img src="{$graphiclink}"/><xsl:apply-templates/>
    </xsl:template>

  <xsl:template match="figure[@target]">
    <xsl:variable name="imagelink" select="@target"/>
    <img src="{$imagelink}"/><xsl:apply-templates/>
  </xsl:template>

  <!-- global body formatting -->
  <xsl:include href="global-body-paper.xsl"/>
<xsl:include href="global-shared.xsl"/>
<xsl:include href="biblStruct.xsl"/>
</xsl:stylesheet>
