<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xpath-default-namespace="http://www.tei-c.org/ns/1.0" version="2.0">

  <xsl:variable name="extent" select="TEI/teiHeader/fileDesc/extent"/>

<!-- CM 2003-03-22 Start Div handler, part 1-->
<!-- Get the div number into a variable -->
  <xsl:template match="head">
    <!-- analytic = article with only one div1 -->
    <!-- section = translation piece with Intro -->
    <!-- monogr = a few chapters or translations -->
    <xsl:if test="($extent = 'analytic')">
  <xsl:if test="parent::div1">
<!--    div1 head Changed from 14 pt to 12 point temporarily -->
   <p style="text-align:center; margin-left:0; font-size:12pt; margin-bottom:0.5em; margin-top:2em">{l1}
<xsl:variable name="divnum" select="ancestor::div1[1]/@n"/>
   <xsl:choose>
    <xsl:when test="../@n">            
     <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
    </xsl:when>
    <xsl:otherwise>
     <xsl:number level="multiple"             
      count="div1 | div2 | div3 | div4 | div5 | div6 | div7" 
      format="1.1"/><xsl:text>. </xsl:text>
    </xsl:otherwise>
   </xsl:choose>       
   <xsl:apply-templates/>
</p>
</xsl:if>
    <xsl:if test="parent::div2">
      <p style="text-align:left; font-size:13pt; margin-left:0; margin-top:1em">{l2}
        <xsl:variable name="divnum2" select="ancestor::div2[1]/@n"/>
<xsl:choose>
        <xsl:when test="../@n">            
          <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
        </xsl:when>
<xsl:otherwise>
<xsl:number level="multiple"             
      count="div2 | div3 | div4 | div5 | div6 | div7" 
      format="1.1"/><xsl:text>. </xsl:text>
</xsl:otherwise>
</xsl:choose>       
        <xsl:apply-templates/>
      </p>
    </xsl:if>

    <xsl:if test="parent::div3">
      <p style="text-align:left; font-size:12pt; margin-left:2%; margin-top:1em">{l3}
        <xsl:variable name="divnum3" select="ancestor::div3[1]/@n"/>
   <xsl:choose>
        <xsl:when test="../@n">            
          <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
        </xsl:when>
<xsl:otherwise>
<xsl:number level="multiple"             
      count="div2 | div3 | div4 | div5 | div6 | div7" 
      format="1.1"/><xsl:text>. </xsl:text>
</xsl:otherwise>
</xsl:choose>   
        <xsl:apply-templates/>
      </p>
    </xsl:if>
    <xsl:if test="parent::div4">
      <p style="text-align:left; font-size:12pt; margin-left:4%">{l4} <xsl:variable name="divnum4" select="ancestor::div4[1]/@n"/>
   <xsl:choose>
        <xsl:when test="../@n">            
          <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
        </xsl:when>
<xsl:otherwise>
<xsl:number level="multiple"             
      count="div2 | div3 | div4 | div5 | div6 | div7" 
      format="1.1"/><xsl:text>. </xsl:text>
</xsl:otherwise>
</xsl:choose>
        <xsl:apply-templates/>
      </p>
    </xsl:if>
    <xsl:if test="parent::div5">
      <p style="text-align:left; font-size:12pt; margin-left:6%; font-style:italic">{l5}
        <xsl:variable name="divnum5" select="ancestor::div5[1]/@n"/>
    <xsl:choose>
        <xsl:when test="../@n">            
          <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
        </xsl:when>
<xsl:otherwise>
<xsl:number level="multiple"             
      count="div2 | div3 | div4 | div5 | div6 | div7" 
      format="1.1"/><xsl:text>. </xsl:text>
</xsl:otherwise>
</xsl:choose>
        <xsl:apply-templates/>
      </p>
    </xsl:if>

    <xsl:if test="parent::div6">
      <p style="text-align:left; font-size:12pt; margin-left:8%">{l6}
        <xsl:variable name="divnum6" select="ancestor::div6[1]/@n"/>
    <xsl:choose>
        <xsl:when test="../@n">            
          <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
        </xsl:when>
<xsl:otherwise>
<xsl:number level="multiple"             
      count="div2 | div3 | div4 | div5 | div6 | div7" 
      format="1.1"/><xsl:text>. </xsl:text>
</xsl:otherwise>
</xsl:choose>
        <xsl:apply-templates/>
      </p>
    </xsl:if>

    <xsl:if test="parent::div7">
      <p style="text-align:left; font-size:12pt">{l7}
        <xsl:variable name="divnum7" select="ancestor::div7[1]/@n"/>
   <xsl:choose>
        <xsl:when test="../@n">            
          <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
        </xsl:when>
<xsl:otherwise>
<xsl:number level="multiple"             
      count="div2 | div3 | div4 | div5 | div6 | div7" 
      format="1.1"/><xsl:text>. </xsl:text>
</xsl:otherwise>
</xsl:choose>
        <xsl:apply-templates/>
      </p>
    </xsl:if>
</xsl:if>
      <xsl:if test="($extent = 'section')">
        
        <xsl:if test="parent::div1">
          <p style="text-align:center; margin-left:0; font-size:18pt; margin-bottom:0.5em">{page break}{l1}
            <xsl:variable name="divnum" select="ancestor::div1[1]/@n"/>
            <xsl:choose>
              <xsl:when test="../@n">            
                <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
              </xsl:when>
               </xsl:choose>
            <xsl:apply-templates/>
          </p>
        </xsl:if>
        
        <xsl:if test="parent::div2">
          <p style="text-align:left; font-size:16pt; margin-left:2%; font-weight:bold; margin-top:1em">{l2}
            <xsl:variable name="divnum2" select="ancestor::div2[1]/@n"/>
            <xsl:choose>
              <xsl:when test="../@n">            
                <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:number level="multiple"             
                  count="div2 | div3 | div4 | div5 | div6 | div7" 
                  format="1.1"/><xsl:text>. </xsl:text>
              </xsl:otherwise>
            </xsl:choose>       
            <xsl:apply-templates/>
          </p>
        </xsl:if>
        
        <xsl:if test="parent::div3">
          <p style="text-align:left; font-size:14pt; margin-left:4%; font-weight:bold; margin-top:1em">{l3}
            <xsl:variable name="divnum3" select="ancestor::div3[1]/@n"/>
            <xsl:choose>
              <xsl:when test="../@n">            
                <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:number level="multiple"             
                  count="div2 | div3 | div4 | div5 | div6 | div7" 
                  format="1.1"/><xsl:text>. </xsl:text>
              </xsl:otherwise>
            </xsl:choose>   
            <xsl:apply-templates/>
          </p>
        </xsl:if>
        <xsl:if test="parent::div4">
          <p style="text-align:left; font-size:12pt; margin-left:6%; font-weight:bold">{l4} <xsl:variable name="divnum4" select="ancestor::div4[1]/@n"/>
            <xsl:choose>
              <xsl:when test="../@n">            
                <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:number level="multiple"             
                  count="div2 | div3 | div4 | div5 | div6 | div7" 
                  format="1.1"/><xsl:text>. </xsl:text>
              </xsl:otherwise>
            </xsl:choose>
            <xsl:apply-templates/>
          </p>
        </xsl:if>
        <xsl:if test="parent::div5">
          <p style="text-align:left; font-size:12pt; margin-left:8%; font-style:italic">{l5}
            <xsl:variable name="divnum5" select="ancestor::div5[1]/@n"/>
            <xsl:choose>
              <xsl:when test="../@n">            
                <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:number level="multiple"             
                  count="div2 | div3 | div4 | div5 | div6 | div7" 
                  format="1.1"/><xsl:text>. </xsl:text>
              </xsl:otherwise>
            </xsl:choose>
            <xsl:apply-templates/>
          </p>
        </xsl:if>
        
        <xsl:if test="parent::div6">
          <p style="text-align:left; font-size:12pt; margin-left:10%; font-decoration:underline">{l6}
            <xsl:variable name="divnum6" select="ancestor::div6[1]/@n"/>
            <xsl:choose>
              <xsl:when test="../@n">            
                <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:number level="multiple"             
                  count="div2 | div3 | div4 | div5 | div6 | div7" 
                  format="1.1"/><xsl:text>. </xsl:text>
              </xsl:otherwise>
            </xsl:choose>
            <xsl:apply-templates/>
          </p>
        </xsl:if>
        
        <xsl:if test="parent::div7">
          <p style="text-align:left; font-size:12pt">{l7}
            <xsl:variable name="divnum7" select="ancestor::div7[1]/@n"/>
            <xsl:choose>
              <xsl:when test="../@n">            
                <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:number level="multiple"             
                  count="div2 | div3 | div4 | div5 | div6 | div7" 
                  format="1.1"/><xsl:text>. </xsl:text>
              </xsl:otherwise>
            </xsl:choose>
            <xsl:apply-templates/>
          </p>
        </xsl:if>
      </xsl:if>
   
    <xsl:if test="($extent = 'monogr')">
      <xsl:if test="parent::div1">
        <p style="text-align:center; margin-left:0; font-size:16pt; margin-bottom:0.5em">{section break}{l1}
          <xsl:variable name="divnum" select="ancestor::div1[1]/@n"/>
          <xsl:choose>
            <xsl:when test="../@n">            
              <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:number level="single"             
                count="div1" 
                format="I"/><xsl:text>. </xsl:text>
            </xsl:otherwise>
          </xsl:choose>
          <xsl:apply-templates/>
        </p> {page break}
      </xsl:if>
      <xsl:if test="parent::div2">
        <p style="text-align:left; font-size:14pt; margin-left:2%; font-weight:bold">{l2}
          <xsl:variable name="divnum2" select="ancestor::div2[1]/@n"/>
          <xsl:choose>
            <xsl:when test="../@n">            
              <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:number level="single"             
                count="div2" 
                format="1"/><xsl:text>. </xsl:text>
            </xsl:otherwise>
          </xsl:choose>       
          <xsl:apply-templates/>
        </p>
      </xsl:if>
      
      <xsl:if test="parent::div3">
        <p style="text-align:left; font-size:13pt; margin-left:4%; font-weight:bold; margin-top:1em">{l3}
          <xsl:variable name="divnum3" select="ancestor::div3[1]/@n"/>
          <xsl:choose>
            <xsl:when test="../@n">            
              <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:number level="single"             
                count="div3" 
                format="A"/><xsl:text>. </xsl:text>
            </xsl:otherwise>
          </xsl:choose>   
          <xsl:apply-templates/>
        </p>
      </xsl:if>
      <xsl:if test="parent::div4">
        <p style="text-align:left; font-size:12pt; margin-left:6%; font-weight:bold; margin-top:1em">{l4} <xsl:variable name="divnum4" select="ancestor::div4[1]/@n"/>
          <xsl:choose>
            <xsl:when test="../@n">            
              <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:number level="single"             
                count="div4" 
                format="i"/><xsl:text>. </xsl:text>
            </xsl:otherwise>
          </xsl:choose>    


          <xsl:apply-templates/>
        </p>
      </xsl:if>

      <xsl:if test="parent::div5">
        <p style="text-align:left; font-size:12pt; margin-left:8%; font-style:italic">{l5}
          <xsl:variable name="divnum5" select="ancestor::div5[1]/@n"/>
             <xsl:choose>
            <xsl:when test="../@n">            
              <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:number level="single"             
                count="div5" 
                format="a"/><xsl:text>. </xsl:text>
            </xsl:otherwise>
          </xsl:choose>    
          <xsl:apply-templates/>
        </p>
      </xsl:if>
      
      <xsl:if test="parent::div6">
        <p style="text-align:left; font-size:12pt; margin-left:10%; font-decoration:underline">{l6}
          <xsl:variable name="divnum6" select="ancestor::div6[1]/@n"/>
                   <xsl:choose>
            <xsl:when test="../@n">            
              <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:number level="single"             
                count="div6" 
                format="1"/><xsl:text>. </xsl:text>
            </xsl:otherwise>
          </xsl:choose>    
          <xsl:apply-templates/>
        </p>
      </xsl:if>
      
      <xsl:if test="parent::div7">
        <p style="text-align:left; margin-left:13%; font-size:12pt">{l7}
          <xsl:variable name="divnum7" select="ancestor::div7[1]/@n"/>
                       <xsl:choose>
            <xsl:when test="../@n">            
              <xsl:value-of select="../@n"/><xsl:text>. </xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:number level="single"             
                count="div7" 
                format="a"/><xsl:text>. </xsl:text>
            </xsl:otherwise>
          </xsl:choose>    
          <xsl:apply-templates/>
        </p>
      </xsl:if>
    </xsl:if>
    
      </xsl:template>

<xsl:template match="head" mode="showheads">
<xsl:variable name="divnum" select="ancestor::div1[1]/@n"/>
<tr>
<!-- MB 2003-03-22
*   Output the reference number in a right-aligned table cell. This ensures correct
*   vertical alignment of the numbers, no matter how many places they have
*   The valign value of "top" ensures that that number will remain in the correct
*   horizontal alignment against the first line ot the title even if the title itself wraps
*  on to a second or even third line
-->
<td align="right" valign="top">
<!-- Leave the cell empty if we don't have a number (preventing an orphaned period)
-->
<xsl:if test="$divnum">
<xsl:value-of select="$divnum"/><xsl:text>. </xsl:text>
</xsl:if>
</td>
<!-- write the <a>element target for the link reference. Use AVT notation to
*     insert the attribute value. Putting the title into a table cell ensures
*     all titles left-align correctly, no matter what the size of the numeral
*     (if any) that precedes them
-->
<td><xsl:apply-templates/></td>    
</tr>

<!-- Finish Div handler, part 2 -->

  </xsl:template>

</xsl:stylesheet>
